# Group Accounts ## Register Account **Only Available for ShipStation Partner Accounts, see link below.** Creates a new ShipStation account and generates an apiKey and apiSecret to be used by the newly created account. > **Info** This endpoint does not require API key and API Secret credentials. The Authorization header can be left off. Use of this specific endpoint requires approval, and is meant only for direct partners of ShipStation. To become a direct partner with ShipStation, or to request more information on becoming a direct partner, we recommend that you [**contact our Partners and Integrations team**](https://info.shipstation.com/become-a-partner-api-and-custom-store-integrations). The body of this request has the following attributes: | Name | Data Type | Description | | --- | --- | --- | | `firstName` | string | First Name**Required** | | `lastName` | string | Last Name**Required** | | `email` | string | Email address. This will also be the username of the account.**Required** | | `password` | string | Password to set for account access.**Required** | | `companyName` | string | Name of Company.*Optional* | | `addr1` | string | Company Address - Street 1*Optional* | | `addr2` | string | Company Address - Street 2*Optional* | | `city` | string | Company Address - City*Optional* | | `state` | string | Company Address - State*Optional* | | `zip` | string | Company Address - Zip Code*Optional* | | `countryCode` | string | Company Address - Country. Please use a [**two-letter ISO Origin Country code**](https://www.nationsonline.org/oneworld/country_code_list.htm).*Optional* | | `phone` | string | Company Phone number.*Optional* | ### Example Request ```http POST /accounts/registeraccount HTTP/1.1 Host: ssapi.shipstation.com Content-Type: application/json { "firstName": "John", "lastName": "Smith", "email": "jsmithtest@gmail.com", "password": "testpw1234", "shippingOriginCountryCode": "US", "companyName": "Droid Repair LLC", "addr1": "542 Midichlorian Rd.", "addr2": "", "city": "Austin", "state": "TX", "zip": "78703", "countryCode": "US", "phone": "5124111234" } ``` ### Example Response ```json { "message": "ShipStation account created.", "sellerId": 123456, "success": true, "apiKey": "abcdt9845hjmgfklj3498gkljdkuyekl", "apiSecret": "1234iou983lkj8mnxgfwu509hkhdy7u3" } ```